Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class EXTTextureSRGB

    java.lang.Object
      org.lwjgl.opengl.EXTTextureSRGB

    public final class EXTTextureSRGB

extends java.lang.Object

Field Summary
`static int` | `GL_COMPRESSED_SLUMINANCE_ALPHA_EXT`
`static int` | `GL_COMPRESSED_SLUMINANCE_EXT`
`static int` | `GL_COMPRESSED_SRGB_ALPHA_EXT`
`static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT`
`static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT`
`static int` | `GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT`
`static int` | `GL_COMPRESSED_SRGB_EXT`
`static int` | `GL_COMPRESSED_SRGB_S3TC_DXT1_EXT` Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.
`static int` | `GL_SLUMINANCE_ALPHA_EXT`
`static int` | `GL_SLUMINANCE_EXT`
`static int` | `GL_SLUMINANCE8_ALPHA8_EXT`
`static int` | `GL_SLUMINANCE8_EXT`
`static int` | `GL_SRGB_ALPHA_EXT`
`static int` | `GL_SRGB_EXT` Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.
`static int` | `GL_SRGB8_ALPHA8_EXT`
`static int` | `GL_SRGB8_EXT`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_SRGB_EXT

    public static final int GL_SRGB_EXT

  Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D.

  See Also:
    Constant Field Values

### GL_SRGB8_EXT

    public static final int GL_SRGB8_EXT

See Also:
  Constant Field Values

### GL_SRGB_ALPHA_EXT

    public static final int GL_SRGB_ALPHA_EXT

See Also:
  Constant Field Values

### GL_SRGB8_ALPHA8_EXT

    public static final int GL_SRGB8_ALPHA8_EXT

See Also:
  Constant Field Values

### GL_SLUMINANCE_ALPHA_EXT

    public static final int GL_SLUMINANCE_ALPHA_EXT

See Also:
  Constant Field Values

### GL_SLUMINANCE8_ALPHA8_EXT

    public static final int GL_SLUMINANCE8_ALPHA8_EXT

See Also:
  Constant Field Values

### GL_SLUMINANCE_EXT

    public static final int GL_SLUMINANCE_EXT

See Also:
  Constant Field Values

### GL_SLUMINANCE8_EXT

    public static final int GL_SLUMINANCE8_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_EXT

    public static final int GL_COMPRESSED_SRGB_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_EXT

    public static final int GL_COMPRESSED_SRGB_ALPHA_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SLUMINANCE_EXT

    public static final int GL_COMPRESSED_SLUMINANCE_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SLUMINANCE_ALPHA_EXT

    public static final int GL_COMPRESSED_SLUMINANCE_ALPHA_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_S3TC_DXT1_EXT

    public static final int GL_COMPRESSED_SRGB_S3TC_DXT1_EXT

  Accepted by the <internalformat> parameter of TexImage2D, CopyTexImage2D, and CompressedTexImage2DARB and the <format> parameter of CompressedTexSubImage2DARB.

  See Also:
    Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT

    public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT1_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT

    public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT3_EXT

See Also:
  Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT

    public static final int GL_COMPRESSED_SRGB_ALPHA_S3TC_DXT5_EXT

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.